// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 77;
	objects = {

/* Begin PBXBuildFile section */
		C89D410D2F874CC5001A17CF /* SwiftProtobuf in Frameworks */ = {isa = PBXBuildFile; productRef = C89D410C2F874CC5001A17CF /* SwiftProtobuf */; };
		C8A77F2A2DD1E77B00195617 /* NetworkExtension.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = C8A77F292DD1E77B00195617 /* NetworkExtension.framework */; };
		C8A77F322DD1E77B00195617 /* Tun.appex in Embed Foundation Extensions */ = {isa = PBXBuildFile; fileRef = C8A77F272DD1E77B00195617 /* Tun.appex */; settings = {ATTRIBUTES = (RemoveHeadersOnCopy, ); }; };
		C8A77F792DD1E93900195617 /* NIO in Frameworks */ = {isa = PBXBuildFile; productRef = C8A77F782DD1E93900195617 /* NIO */; };
		C8A77F7B2DD1E93900195617 /* NIOConcurrencyHelpers in Frameworks */ = {isa = PBXBuildFile; productRef = C8A77F7A2DD1E93900195617 /* NIOConcurrencyHelpers */; };
		C8A77F7D2DD1E93900195617 /* NIOCore in Frameworks */ = {isa = PBXBuildFile; productRef = C8A77F7C2DD1E93900195617 /* NIOCore */; };
		C8A77F7F2DD1E93900195617 /* NIOEmbedded in Frameworks */ = {isa = PBXBuildFile; productRef = C8A77F7E2DD1E93900195617 /* NIOEmbedded */; };
		C8A77F812DD1E93900195617 /* NIOFoundationCompat in Frameworks */ = {isa = PBXBuildFile; productRef = C8A77F802DD1E93900195617 /* NIOFoundationCompat */; };
		C8A77F882DD1EA0200195617 /* SwiftProtobuf in Frameworks */ = {isa = PBXBuildFile; productRef = C8A77F872DD1EA0200195617 /* SwiftProtobuf */; };
		C8A77F8A2DD1EA0200195617 /* SwiftProtobufPluginLibrary in Frameworks */ = {isa = PBXBuildFile; productRef = C8A77F892DD1EA0200195617 /* SwiftProtobufPluginLibrary */; };
		C8AA72BB2E5C49E000E4C4E9 /* SwiftProtobuf in Frameworks */ = {isa = PBXBuildFile; productRef = C8AA72BA2E5C49E000E4C4E9 /* SwiftProtobuf */; };
		C8AA72BD2E5C49E000E4C4E9 /* SwiftProtobufPluginLibrary in Frameworks */ = {isa = PBXBuildFile; productRef = C8AA72BC2E5C49E000E4C4E9 /* SwiftProtobufPluginLibrary */; };
		C8AA72C02E5C4A3100E4C4E9 /* NIO in Frameworks */ = {isa = PBXBuildFile; productRef = C8AA72BF2E5C4A3100E4C4E9 /* NIO */; };
		C8AA72C22E5C4A3100E4C4E9 /* NIOConcurrencyHelpers in Frameworks */ = {isa = PBXBuildFile; productRef = C8AA72C12E5C4A3100E4C4E9 /* NIOConcurrencyHelpers */; };
		C8AA72C42E5C4A3100E4C4E9 /* NIOCore in Frameworks */ = {isa = PBXBuildFile; productRef = C8AA72C32E5C4A3100E4C4E9 /* NIOCore */; };
		C8AA72C62E5C4A3100E4C4E9 /* NIOEmbedded in Frameworks */ = {isa = PBXBuildFile; productRef = C8AA72C52E5C4A3100E4C4E9 /* NIOEmbedded */; };
		C8AA72C82E5C4A3100E4C4E9 /* NIOFoundationCompat in Frameworks */ = {isa = PBXBuildFile; productRef = C8AA72C72E5C4A3100E4C4E9 /* NIOFoundationCompat */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		C8A77F072DD1E6D100195617 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = C8A77EEB2DD1E6D000195617 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = C8A77EF22DD1E6D000195617;
			remoteInfo = punchnet;
		};
		C8A77F112DD1E6D100195617 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = C8A77EEB2DD1E6D000195617 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = C8A77EF22DD1E6D000195617;
			remoteInfo = punchnet;
		};
		C8A77F302DD1E77B00195617 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = C8A77EEB2DD1E6D000195617 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = C8A77F262DD1E77B00195617;
			remoteInfo = Tun;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXCopyFilesBuildPhase section */
		C8A77F372DD1E77B00195617 /* Embed Foundation Extensions */ = {
			isa = PBXCopyFilesBuildPhase;
			buildActionMask = 2147483647;
			dstPath = "";
			dstSubfolderSpec = 13;
			files = (
				C8A77F322DD1E77B00195617 /* Tun.appex in Embed Foundation Extensions */,
			);
			name = "Embed Foundation Extensions";
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXCopyFilesBuildPhase section */

/* Begin PBXFileReference section */
		C8A77EF32DD1E6D000195617 /* punchnet.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = punchnet.app; sourceTree = BUILT_PRODUCTS_DIR; };
		C8A77F062DD1E6D100195617 /* punchnetTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = punchnetTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		C8A77F102DD1E6D100195617 /* punchnetUITests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = punchnetUITests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		C8A77F272DD1E77B00195617 /* Tun.appex */ = {isa = PBXFileReference; explicitFileType = "wrapper.app-extension"; includeInIndex = 0; path = Tun.appex; sourceTree = BUILT_PRODUCTS_DIR; };
		C8A77F292DD1E77B00195617 /* NetworkExtension.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = NetworkExtension.framework; path = System/Library/Frameworks/NetworkExtension.framework; sourceTree = SDKROOT; };
/* End PBXFileReference section */

/* Begin PBXFileSystemSynchronizedBuildFileExceptionSet section */
		C89D42E62F8F39B7001A17CF /* Exceptions for "Tun" folder in "punchnet" target */ = {
			isa = PBXFileSystemSynchronizedBuildFileExceptionSet;
			membershipExceptions = (
				Protobuf/TunMessage.pb.swift,
			);
			target = C8A77EF22DD1E6D000195617 /* punchnet */;
		};
		C8A77F332DD1E77B00195617 /* Exceptions for "Tun" folder in "Tun" target */ = {
			isa = PBXFileSystemSynchronizedBuildFileExceptionSet;
			membershipExceptions = (
				Info.plist,
			);
			target = C8A77F262DD1E77B00195617 /* Tun */;
		};
		C8A77F8C2DD1EA7900195617 /* Exceptions for "punchnet" folder in "Tun" target */ = {
			isa = PBXFileSystemSynchronizedBuildFileExceptionSet;
			membershipExceptions = (
				AppEventCenter/SDLNotificationCenter.swift,
			);
			target = C8A77F262DD1E77B00195617 /* Tun */;
		};
/* End PBXFileSystemSynchronizedBuildFileExceptionSet section */

/* Begin PBXFileSystemSynchronizedRootGroup section */
		C8A77EF52DD1E6D000195617 /* punchnet */ = {
			isa = PBXFileSystemSynchronizedRootGroup;
			exceptions = (
				C8A77F8C2DD1EA7900195617 /* Exceptions for "punchnet" folder in "Tun" target */,
			);
			path = punchnet;
			sourceTree = "<group>";
		};
		C8A77F092DD1E6D100195617 /* punchnetTests */ = {
			isa = PBXFileSystemSynchronizedRootGroup;
			path = punchnetTests;
			sourceTree = "<group>";
		};
		C8A77F132DD1E6D100195617 /* punchnetUITests */ = {
			isa = PBXFileSystemSynchronizedRootGroup;
			path = punchnetUITests;
			sourceTree = "<group>";
		};
		C8A77F2B2DD1E77B00195617 /* Tun */ = {
			isa = PBXFileSystemSynchronizedRootGroup;
			exceptions = (
				C89D42E62F8F39B7001A17CF /* Exceptions for "Tun" folder in "punchnet" target */,
				C8A77F332DD1E77B00195617 /* Exceptions for "Tun" folder in "Tun" target */,
			);
			path = Tun;
			sourceTree = "<group>";
		};
/* End PBXFileSystemSynchronizedRootGroup section */

/* Begin PBXFrameworksBuildPhase section */
		C8A77EF02DD1E6D000195617 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				C8A77F7D2DD1E93900195617 /* NIOCore in Frameworks */,
				C8A77F812DD1E93900195617 /* NIOFoundationCompat in Frameworks */,
				C8A77F792DD1E93900195617 /* NIO in Frameworks */,
				C8A77F7B2DD1E93900195617 /* NIOConcurrencyHelpers in Frameworks */,
				C8A77F7F2DD1E93900195617 /* NIOEmbedded in Frameworks */,
				C89D410D2F874CC5001A17CF /* SwiftProtobuf in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		C8A77F032DD1E6D100195617 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		C8A77F0D2DD1E6D100195617 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		C8A77F242DD1E77B00195617 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				C8A77F2A2DD1E77B00195617 /* NetworkExtension.framework in Frameworks */,
				C8A77F8A2DD1EA0200195617 /* SwiftProtobufPluginLibrary in Frameworks */,
				C8AA72BD2E5C49E000E4C4E9 /* SwiftProtobufPluginLibrary in Frameworks */,
				C8AA72C62E5C4A3100E4C4E9 /* NIOEmbedded in Frameworks */,
				C8AA72C02E5C4A3100E4C4E9 /* NIO in Frameworks */,
				C8AA72C22E5C4A3100E4C4E9 /* NIOConcurrencyHelpers in Frameworks */,
				C8AA72C82E5C4A3100E4C4E9 /* NIOFoundationCompat in Frameworks */,
				C8A77F882DD1EA0200195617 /* SwiftProtobuf in Frameworks */,
				C8AA72C42E5C4A3100E4C4E9 /* NIOCore in Frameworks */,
				C8AA72BB2E5C49E000E4C4E9 /* SwiftProtobuf in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		C8A77EEA2DD1E6D000195617 = {
			isa = PBXGroup;
			children = (
				C8A77EF52DD1E6D000195617 /* punchnet */,
				C8A77F092DD1E6D100195617 /* punchnetTests */,
				C8A77F132DD1E6D100195617 /* punchnetUITests */,
				C8A77F2B2DD1E77B00195617 /* Tun */,
				C8A77F282DD1E77B00195617 /* Frameworks */,
				C8A77EF42DD1E6D000195617 /* Products */,
			);
			sourceTree = "<group>";
		};
		C8A77EF42DD1E6D000195617 /* Products */ = {
			isa = PBXGroup;
			children = (
				C8A77EF32DD1E6D000195617 /* punchnet.app */,
				C8A77F062DD1E6D100195617 /* punchnetTests.xctest */,
				C8A77F102DD1E6D100195617 /* punchnetUITests.xctest */,
				C8A77F272DD1E77B00195617 /* Tun.appex */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		C8A77F282DD1E77B00195617 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				C8A77F292DD1E77B00195617 /* NetworkExtension.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		C8A77EF22DD1E6D000195617 /* punchnet */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = C8A77F1A2DD1E6D100195617 /* Build configuration list for PBXNativeTarget "punchnet" */;
			buildPhases = (
				C8A77EEF2DD1E6D000195617 /* Sources */,
				C8A77EF02DD1E6D000195617 /* Frameworks */,
				C8A77EF12DD1E6D000195617 /* Resources */,
				C8A77F372DD1E77B00195617 /* Embed Foundation Extensions */,
			);
			buildRules = (
			);
			dependencies = (
				C8A77F312DD1E77B00195617 /* PBXTargetDependency */,
			);
			fileSystemSynchronizedGroups = (
				C8A77EF52DD1E6D000195617 /* punchnet */,
			);
			name = punchnet;
			packageProductDependencies = (
				C8A77F782DD1E93900195617 /* NIO */,
				C8A77F7A2DD1E93900195617 /* NIOConcurrencyHelpers */,
				C8A77F7C2DD1E93900195617 /* NIOCore */,
				C8A77F7E2DD1E93900195617 /* NIOEmbedded */,
				C8A77F802DD1E93900195617 /* NIOFoundationCompat */,
				C89D410C2F874CC5001A17CF /* SwiftProtobuf */,
			);
			productName = punchnet;
			productReference = C8A77EF32DD1E6D000195617 /* punchnet.app */;
			productType = "com.apple.product-type.application";
		};
		C8A77F052DD1E6D100195617 /* punchnetTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = C8A77F1D2DD1E6D100195617 /* Build configuration list for PBXNativeTarget "punchnetTests" */;
			buildPhases = (
				C8A77F022DD1E6D100195617 /* Sources */,
				C8A77F032DD1E6D100195617 /* Frameworks */,
				C8A77F042DD1E6D100195617 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				C8A77F082DD1E6D100195617 /* PBXTargetDependency */,
			);
			fileSystemSynchronizedGroups = (
				C8A77F092DD1E6D100195617 /* punchnetTests */,
			);
			name = punchnetTests;
			packageProductDependencies = (
			);
			productName = punchnetTests;
			productReference = C8A77F062DD1E6D100195617 /* punchnetTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
		C8A77F0F2DD1E6D100195617 /* punchnetUITests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = C8A77F202DD1E6D100195617 /* Build configuration list for PBXNativeTarget "punchnetUITests" */;
			buildPhases = (
				C8A77F0C2DD1E6D100195617 /* Sources */,
				C8A77F0D2DD1E6D100195617 /* Frameworks */,
				C8A77F0E2DD1E6D100195617 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				C8A77F122DD1E6D100195617 /* PBXTargetDependency */,
			);
			fileSystemSynchronizedGroups = (
				C8A77F132DD1E6D100195617 /* punchnetUITests */,
			);
			name = punchnetUITests;
			packageProductDependencies = (
			);
			productName = punchnetUITests;
			productReference = C8A77F102DD1E6D100195617 /* punchnetUITests.xctest */;
			productType = "com.apple.product-type.bundle.ui-testing";
		};
		C8A77F262DD1E77B00195617 /* Tun */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = C8A77F342DD1E77B00195617 /* Build configuration list for PBXNativeTarget "Tun" */;
			buildPhases = (
				C8A77F232DD1E77B00195617 /* Sources */,
				C8A77F242DD1E77B00195617 /* Frameworks */,
				C8A77F252DD1E77B00195617 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			fileSystemSynchronizedGroups = (
				C8A77F2B2DD1E77B00195617 /* Tun */,
			);
			name = Tun;
			packageProductDependencies = (
				C8A77F872DD1EA0200195617 /* SwiftProtobuf */,
				C8A77F892DD1EA0200195617 /* SwiftProtobufPluginLibrary */,
				C8AA72BA2E5C49E000E4C4E9 /* SwiftProtobuf */,
				C8AA72BC2E5C49E000E4C4E9 /* SwiftProtobufPluginLibrary */,
				C8AA72BF2E5C4A3100E4C4E9 /* NIO */,
				C8AA72C12E5C4A3100E4C4E9 /* NIOConcurrencyHelpers */,
				C8AA72C32E5C4A3100E4C4E9 /* NIOCore */,
				C8AA72C52E5C4A3100E4C4E9 /* NIOEmbedded */,
				C8AA72C72E5C4A3100E4C4E9 /* NIOFoundationCompat */,
			);
			productName = Tun;
			productReference = C8A77F272DD1E77B00195617 /* Tun.appex */;
			productType = "com.apple.product-type.app-extension";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		C8A77EEB2DD1E6D000195617 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				BuildIndependentTargetsInParallel = 1;
				LastSwiftUpdateCheck = 1620;
				LastUpgradeCheck = 1620;
				TargetAttributes = {
					C8A77EF22DD1E6D000195617 = {
						CreatedOnToolsVersion = 16.2;
					};
					C8A77F052DD1E6D100195617 = {
						CreatedOnToolsVersion = 16.2;
						TestTargetID = C8A77EF22DD1E6D000195617;
					};
					C8A77F0F2DD1E6D100195617 = {
						CreatedOnToolsVersion = 16.2;
						TestTargetID = C8A77EF22DD1E6D000195617;
					};
					C8A77F262DD1E77B00195617 = {
						CreatedOnToolsVersion = 16.2;
					};
				};
			};
			buildConfigurationList = C8A77EEE2DD1E6D000195617 /* Build configuration list for PBXProject "punchnet" */;
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = C8A77EEA2DD1E6D000195617;
			minimizedProjectReferenceProxies = 1;
			packageReferences = (
				C8AA72B92E5C49E000E4C4E9 /* XCRemoteSwiftPackageReference "swift-protobuf" */,
				C8AA72BE2E5C4A3100E4C4E9 /* XCRemoteSwiftPackageReference "swift-nio" */,
			);
			preferredProjectObjectVersion = 77;
			productRefGroup = C8A77EF42DD1E6D000195617 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				C8A77EF22DD1E6D000195617 /* punchnet */,
				C8A77F052DD1E6D100195617 /* punchnetTests */,
				C8A77F0F2DD1E6D100195617 /* punchnetUITests */,
				C8A77F262DD1E77B00195617 /* Tun */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		C8A77EF12DD1E6D000195617 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		C8A77F042DD1E6D100195617 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		C8A77F0E2DD1E6D100195617 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		C8A77F252DD1E77B00195617 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		C8A77EEF2DD1E6D000195617 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		C8A77F022DD1E6D100195617 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		C8A77F0C2DD1E6D100195617 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		C8A77F232DD1E77B00195617 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		C8A77F082DD1E6D100195617 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = C8A77EF22DD1E6D000195617 /* punchnet */;
			targetProxy = C8A77F072DD1E6D100195617 /* PBXContainerItemProxy */;
		};
		C8A77F122DD1E6D100195617 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = C8A77EF22DD1E6D000195617 /* punchnet */;
			targetProxy = C8A77F112DD1E6D100195617 /* PBXContainerItemProxy */;
		};
		C8A77F312DD1E77B00195617 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = C8A77F262DD1E77B00195617 /* Tun */;
			targetProxy = C8A77F302DD1E77B00195617 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin XCBuildConfiguration section */
		C8A77F182DD1E6D100195617 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = YES;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MACOSX_DEPLOYMENT_TARGET = 14.6;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = macosx;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = "DEBUG $(inherited)";
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		C8A77F192DD1E6D100195617 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = YES;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MACOSX_DEPLOYMENT_TARGET = 14.6;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = macosx;
				SWIFT_COMPILATION_MODE = wholemodule;
			};
			name = Release;
		};
		C8A77F1B2DD1E6D100195617 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_ENTITLEMENTS = punchnet/punchnet.entitlements;
				CODE_SIGN_IDENTITY = "Apple Development";
				"CODE_SIGN_IDENTITY[sdk=macosx*]" = "Mac Developer";
				CODE_SIGN_STYLE = Manual;
				COMBINE_HIDPI_IMAGES = YES;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_ASSET_PATHS = "\"punchnet/Preview Content\"";
				DEVELOPMENT_TEAM = "";
				"DEVELOPMENT_TEAM[sdk=macosx*]" = PF3QG837XS;
				ENABLE_HARDENED_RUNTIME = YES;
				ENABLE_PREVIEWS = YES;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_KEY_LSUIElement = YES;
				INFOPLIST_KEY_NSHumanReadableCopyright = "";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/../Frameworks",
				);
				MACOSX_DEPLOYMENT_TARGET = 15.6;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.jihe.punchnetmac;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "";
				"PROVISIONING_PROFILE_SPECIFIER[sdk=macosx*]" = MacPunchnetTest;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
			};
			name = Debug;
		};
		C8A77F1C2DD1E6D100195617 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_ENTITLEMENTS = punchnet/punchnet.entitlements;
				CODE_SIGN_IDENTITY = "Apple Development";
				"CODE_SIGN_IDENTITY[sdk=macosx*]" = "Mac Developer";
				CODE_SIGN_STYLE = Manual;
				COMBINE_HIDPI_IMAGES = YES;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_ASSET_PATHS = "\"punchnet/Preview Content\"";
				DEVELOPMENT_TEAM = "";
				"DEVELOPMENT_TEAM[sdk=macosx*]" = PF3QG837XS;
				ENABLE_HARDENED_RUNTIME = YES;
				ENABLE_PREVIEWS = YES;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_KEY_LSUIElement = YES;
				INFOPLIST_KEY_NSHumanReadableCopyright = "";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/../Frameworks",
				);
				MACOSX_DEPLOYMENT_TARGET = 15.6;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.jihe.punchnetmac;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "";
				"PROVISIONING_PROFILE_SPECIFIER[sdk=macosx*]" = MacPunchnetTest;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
			};
			name = Release;
		};
		C8A77F1E2DD1E6D100195617 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = 4CAML48Y7B;
				GENERATE_INFOPLIST_FILE = YES;
				MACOSX_DEPLOYMENT_TARGET = 14.6;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.jihe.punchnetTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/punchnet.app/$(BUNDLE_EXECUTABLE_FOLDER_PATH)/punchnet";
			};
			name = Debug;
		};
		C8A77F1F2DD1E6D100195617 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = 4CAML48Y7B;
				GENERATE_INFOPLIST_FILE = YES;
				MACOSX_DEPLOYMENT_TARGET = 14.6;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.jihe.punchnetTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/punchnet.app/$(BUNDLE_EXECUTABLE_FOLDER_PATH)/punchnet";
			};
			name = Release;
		};
		C8A77F212DD1E6D100195617 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				"CODE_SIGN_IDENTITY[sdk=macosx*]" = "Apple Development";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = 4CAML48Y7B;
				GENERATE_INFOPLIST_FILE = YES;
				MACOSX_DEPLOYMENT_TARGET = 14.6;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.jihe.punchnetUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TEST_TARGET_NAME = punchnet;
			};
			name = Debug;
		};
		C8A77F222DD1E6D100195617 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				"CODE_SIGN_IDENTITY[sdk=macosx*]" = "Apple Development";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = 4CAML48Y7B;
				GENERATE_INFOPLIST_FILE = YES;
				MACOSX_DEPLOYMENT_TARGET = 14.6;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.jihe.punchnetUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TEST_TARGET_NAME = punchnet;
			};
			name = Release;
		};
		C8A77F352DD1E77B00195617 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_ENTITLEMENTS = Tun/Tun.entitlements;
				CODE_SIGN_IDENTITY = "Apple Development";
				"CODE_SIGN_IDENTITY[sdk=macosx*]" = "Mac Developer";
				CODE_SIGN_STYLE = Manual;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = "";
				"DEVELOPMENT_TEAM[sdk=macosx*]" = PF3QG837XS;
				ENABLE_HARDENED_RUNTIME = YES;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = Tun/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = Tun;
				INFOPLIST_KEY_NSHumanReadableCopyright = "";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/../Frameworks",
					"@executable_path/../../../../Frameworks",
				);
				MACOSX_DEPLOYMENT_TARGET = 15.6;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.jihe.punchnetmac.tun;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "";
				"PROVISIONING_PROFILE_SPECIFIER[sdk=macosx*]" = MacPunchnetTunTest;
				SKIP_INSTALL = YES;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
			};
			name = Debug;
		};
		C8A77F362DD1E77B00195617 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_ENTITLEMENTS = Tun/Tun.entitlements;
				CODE_SIGN_IDENTITY = "Apple Development";
				"CODE_SIGN_IDENTITY[sdk=macosx*]" = "Mac Developer";
				CODE_SIGN_STYLE = Manual;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = "";
				"DEVELOPMENT_TEAM[sdk=macosx*]" = PF3QG837XS;
				ENABLE_HARDENED_RUNTIME = YES;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = Tun/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = Tun;
				INFOPLIST_KEY_NSHumanReadableCopyright = "";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/../Frameworks",
					"@executable_path/../../../../Frameworks",
				);
				MACOSX_DEPLOYMENT_TARGET = 15.6;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.jihe.punchnetmac.tun;
				PRODUCT_NAME = "$(TARGET_NAME)";
				PROVISIONING_PROFILE_SPECIFIER = "";
				"PROVISIONING_PROFILE_SPECIFIER[sdk=macosx*]" = MacPunchnetTunTest;
				SKIP_INSTALL = YES;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		C8A77EEE2DD1E6D000195617 /* Build configuration list for PBXProject "punchnet" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				C8A77F182DD1E6D100195617 /* Debug */,
				C8A77F192DD1E6D100195617 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		C8A77F1A2DD1E6D100195617 /* Build configuration list for PBXNativeTarget "punchnet" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				C8A77F1B2DD1E6D100195617 /* Debug */,
				C8A77F1C2DD1E6D100195617 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		C8A77F1D2DD1E6D100195617 /* Build configuration list for PBXNativeTarget "punchnetTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				C8A77F1E2DD1E6D100195617 /* Debug */,
				C8A77F1F2DD1E6D100195617 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		C8A77F202DD1E6D100195617 /* Build configuration list for PBXNativeTarget "punchnetUITests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				C8A77F212DD1E6D100195617 /* Debug */,
				C8A77F222DD1E6D100195617 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		C8A77F342DD1E77B00195617 /* Build configuration list for PBXNativeTarget "Tun" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				C8A77F352DD1E77B00195617 /* Debug */,
				C8A77F362DD1E77B00195617 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */

/* Begin XCRemoteSwiftPackageReference section */
		C8AA72B92E5C49E000E4C4E9 /* XCRemoteSwiftPackageReference "swift-protobuf" */ = {
			isa = XCRemoteSwiftPackageReference;
			repositoryURL = "https://github.com/apple/swift-protobuf.git";
			requirement = {
				kind = exactVersion;
				version = 1.30.0;
			};
		};
		C8AA72BE2E5C4A3100E4C4E9 /* XCRemoteSwiftPackageReference "swift-nio" */ = {
			isa = XCRemoteSwiftPackageReference;
			repositoryURL = "https://github.com/apple/swift-nio.git";
			requirement = {
				kind = exactVersion;
				version = 2.85.0;
			};
		};
/* End XCRemoteSwiftPackageReference section */

/* Begin XCSwiftPackageProductDependency section */
		C89D410C2F874CC5001A17CF /* SwiftProtobuf */ = {
			isa = XCSwiftPackageProductDependency;
			package = C8AA72B92E5C49E000E4C4E9 /* XCRemoteSwiftPackageReference "swift-protobuf" */;
			productName = SwiftProtobuf;
		};
		C8A77F782DD1E93900195617 /* NIO */ = {
			isa = XCSwiftPackageProductDependency;
			productName = NIO;
		};
		C8A77F7A2DD1E93900195617 /* NIOConcurrencyHelpers */ = {
			isa = XCSwiftPackageProductDependency;
			productName = NIOConcurrencyHelpers;
		};
		C8A77F7C2DD1E93900195617 /* NIOCore */ = {
			isa = XCSwiftPackageProductDependency;
			productName = NIOCore;
		};
		C8A77F7E2DD1E93900195617 /* NIOEmbedded */ = {
			isa = XCSwiftPackageProductDependency;
			productName = NIOEmbedded;
		};
		C8A77F802DD1E93900195617 /* NIOFoundationCompat */ = {
			isa = XCSwiftPackageProductDependency;
			productName = NIOFoundationCompat;
		};
		C8A77F872DD1EA0200195617 /* SwiftProtobuf */ = {
			isa = XCSwiftPackageProductDependency;
			productName = SwiftProtobuf;
		};
		C8A77F892DD1EA0200195617 /* SwiftProtobufPluginLibrary */ = {
			isa = XCSwiftPackageProductDependency;
			productName = SwiftProtobufPluginLibrary;
		};
		C8AA72BA2E5C49E000E4C4E9 /* SwiftProtobuf */ = {
			isa = XCSwiftPackageProductDependency;
			package = C8AA72B92E5C49E000E4C4E9 /* XCRemoteSwiftPackageReference "swift-protobuf" */;
			productName = SwiftProtobuf;
		};
		C8AA72BC2E5C49E000E4C4E9 /* SwiftProtobufPluginLibrary */ = {
			isa = XCSwiftPackageProductDependency;
			package = C8AA72B92E5C49E000E4C4E9 /* XCRemoteSwiftPackageReference "swift-protobuf" */;
			productName = SwiftProtobufPluginLibrary;
		};
		C8AA72BF2E5C4A3100E4C4E9 /* NIO */ = {
			isa = XCSwiftPackageProductDependency;
			package = C8AA72BE2E5C4A3100E4C4E9 /* XCRemoteSwiftPackageReference "swift-nio" */;
			productName = NIO;
		};
		C8AA72C12E5C4A3100E4C4E9 /* NIOConcurrencyHelpers */ = {
			isa = XCSwiftPackageProductDependency;
			package = C8AA72BE2E5C4A3100E4C4E9 /* XCRemoteSwiftPackageReference "swift-nio" */;
			productName = NIOConcurrencyHelpers;
		};
		C8AA72C32E5C4A3100E4C4E9 /* NIOCore */ = {
			isa = XCSwiftPackageProductDependency;
			package = C8AA72BE2E5C4A3100E4C4E9 /* XCRemoteSwiftPackageReference "swift-nio" */;
			productName = NIOCore;
		};
		C8AA72C52E5C4A3100E4C4E9 /* NIOEmbedded */ = {
			isa = XCSwiftPackageProductDependency;
			package = C8AA72BE2E5C4A3100E4C4E9 /* XCRemoteSwiftPackageReference "swift-nio" */;
			productName = NIOEmbedded;
		};
		C8AA72C72E5C4A3100E4C4E9 /* NIOFoundationCompat */ = {
			isa = XCSwiftPackageProductDependency;
			package = C8AA72BE2E5C4A3100E4C4E9 /* XCRemoteSwiftPackageReference "swift-nio" */;
			productName = NIOFoundationCompat;
		};
/* End XCSwiftPackageProductDependency section */
	};
	rootObject = C8A77EEB2DD1E6D000195617 /* Project object */;
}
